# Class MlpCalculation

java.lang.Object
org.jmol.quantum.QuantumCalculation
org.jmol.quantum.MepCalculation
org.jmol.quantum.MlpCalculation

public class MlpCalculation extends MepCalculation

## Field Summary

### Fields inherited from class MepCalculation

`distanceMode, E_MINUS_D, E_MINUS_D_OVER_2, htAtomicPotentials, ONE_OVER_D, ONE_OVER_ONE_PLUS_D, resourceName`

### Fields inherited from class QuantumCalculation

`atomIndex, bohr_per_angstrom, bsExcluded, countsXYZ, doDebug, firstAtomOffset, integration, nX, nY, nZ, originBohr, points, qmAtoms, rangeBohrOrAngstroms, stepBohr, thisAtom, unitFactor, volume, voxelData, voxelDataTemp, X, X2, xBohr, xMax, xMin, Y, Y2, yBohr, yMax, yMin, Z, Z2, zBohr, zMax, zMin`

## Constructor Summary

Constructors
Constructor
Description
`MlpCalculation()`

## Method Summary

Modifier and Type
Method
Description
`void`
`assignPotentials(Atom[] atoms, float[] potentials, BS bsAromatic, BS bsCarbonyl, BS bsIgnore, String data)`

### Methods inherited from class MepCalculation

`calculate, createCube, getAtomicPotentials, getTabulatedPotential, getValueAtPoint, process, set, setup, valueFor`

### Methods inherited from class QuantumCalculation

`getIntegration, initialize, initialize0, initializeOnePoint, initializeOnePointQC, processPoints, processPt, setMinMax, setupCoordinates, setXYZBohr`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MlpCalculation

public MlpCalculation()

## Method Details

### assignPotentials

public void assignPotentials(Atom[] atoms, float[] potentials, BS bsAromatic, BS bsCarbonyl, BS bsIgnore, String data)

Overrides:
  `assignPotentials` in class `MepCalculation`
Parameters:
  `atoms` -
  `potentials` -
  `bsAromatic` -
  `bsCarbonyl` -
  `bsIgnore` -
  `data` -